#
# spec file for package python-pyotp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pyotp
Version:        2.9.0
Release:        2.9
Summary:        Python One Time Password Library
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pyauth/pyotp
Source:         https://files.pythonhosted.org/packages/source/p/pyotp/pyotp-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
PyOTP is a Python library for generating and verifying one-time passwords. It can be used to implement two-factor (2FA)
or multi-factor (MFA) authentication methods in web applications and in other systems that require users to log in.

%prep
%setup -q -n pyotp-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec 26 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Dec 14 2023 Dirk Müller <dmueller@suse.com>
- update to 2.9.0:
  * Add `parse_uri()` support for Steam TOTP (#153)
  * Test and documentation improvements
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to v2.8.0:
  * Modify OTP generation to run in constant time
  * Documentation improvements
  * Drop Python 3.6 support; introduce Python 3.11 support
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.7.0
  * Support Steam TOTP (#142)
  * Build, test, and documentation updates
* Wed Mar 24 2021 Martin Hauke <mardnh@gmx.de>
- update to 2.6.0
  * Raise default and minimum base32 secret length to 32, and hex
    secret length to 40 (160 bits as recommended by the RFC).
  * Fix issue where provisioning_uri would return invalid results
    after calling verify().
- update to 2.5.0
  * parse_uri accepts and ignores optional image parameter.
* Fri Aug  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 2.4.0
  * Fix data type for at(for_time) (#85)
  * Add support for parsing provisioning URIs (#84)
  * Raise error when trying to generate secret that is too short (The
    secret must be at least 128 bits)
  * Add random_hex function (#82)
  * Drop Python 2.7
* Tue Jul 30 2019 pgajdos@suse.com
- version update to 2.3.0
  * Fix comparison behavior on Python 2.7
  * Fix comparison of unicode chars (#78)
  * Minor documentation and test fixes
* Tue Mar 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by PyFxA
